# How to import client-related data

You can import to the Back Office data about clients, their accounts, and [IB programs](/back-office-guide/introducing-brokers.md) from a CSV or TSV file.

To import data:

{% stepper %}
{% step %}
Navigate to **System** > **Import Data**.
{% endstep %}

{% step %}
Click **+Create** in the upper-right page corner.
{% endstep %}

{% step %}
In the **Title** field, enter a name that you want to assign to your data import operation.
{% endstep %}

{% step %}
In the **Description** field, optionally enter a short description for your import operation.
{% endstep %}

{% step %}
In the **Action** dropdown, select one of the following options:

* `import-users` — to import client-related data
* `import-accounts` — to import data about accounts for existing clients
* `import-ibs` — to import IB-related data for existing clients

Below, you’ll find the requirements for the necessary data and formats for each import option.
{% endstep %}

{% step %}
In the **Delimiter** dropdown, select a delimiter character used to separate data contained in a CSV or TSV file (such as `comma`, `semicolon`, or `tab`).
{% endstep %}

{% step %}
Click **Browse** and select a CSV or TSV file for data import.
{% endstep %}

{% step %}
Click **Save** to start the import operation.
{% endstep %}
{% endstepper %}

### The `import-users` option:

To successfully import client-related data, a CSV or TSV file must include the Email, Last name, and First name headers. If any of these required fields are missing, the import operation will fail.

| Header                                              | Description                                                                                                                                                                                                                                        | Example                                      |
| --------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------- |
| Email <mark style="color:red;">required</mark>      | The client email address                                                                                                                                                                                                                           | <client@example.com>                         |
| Last name <mark style="color:red;">required</mark>  | The client last name                                                                                                                                                                                                                               | Minh                                         |
| First name <mark style="color:red;">required</mark> | The client first name                                                                                                                                                                                                                              | Nguyen                                       |
| Middle name                                         | The client middle name                                                                                                                                                                                                                             | Van                                          |
| Date of birth                                       | The client date of birth in the format `DD/MM/YYYY`                                                                                                                                                                                                | 10/01/1990 represents January 10, 1990       |
| Country                                             | <p>The country code as per ISO 3166-2, which is the preferred variant.</p><p>Alternatively, you can specify the country name as listed in the <strong>Name</strong> column under <a href="/pages/16vrygPsipyNOI9U9woq">System > Countries</a>.</p> | VN                                           |
| Phone number                                        | The client phone number in the format `+XXXXXXXXXXX`                                                                                                                                                                                               | +84912345678                                 |
| Address                                             | The client address in free format                                                                                                                                                                                                                  | 123 Pho Hue                                  |
| City                                                | The city in free format                                                                                                                                                                                                                            | Hanoi                                        |
| Postal code                                         | The postal code in free format                                                                                                                                                                                                                     | 100000 02                                    |
| Verification level                                  | The index of the verification level (for details, refer to [Verification > Levels](/back-office-guide/verification/levels.md)).                                                                                                                    | `0` indicates the default verification level |

Download the `template_import_users.csv` file that you can use to verify that your CSV file includes the correct headers and data formats. You can use a semicolon or tab as a delimiter instead of a comma in your file.

{% file src="/files/hJrs3leFhS4SUZM1flQW" %}

During data import:

* If an email address exists in B2CORE, client data will updated with the data from a CSV or TSV file.
* If an email address doesn’t exist in B2CORE, a new client profile will be added to it.

### The `import-accounts` option:

To successfully import data about client accounts, a CSV or TSV file must include the Email, Account number, Product ID, and Product currency headers. If any of these required fields are missing, the import operation will fail.

| Header                                                    | Description                                                                                                                                         | Example              |
| --------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------- | -------------------- |
| Email <mark style="color:red;">required</mark>            | The email address of an existing client                                                                                                             | <client@example.com> |
| Account number <mark style="color:red;">required</mark>   | The account number on the respective platform                                                                                                       | 153487               |
| Product ID <mark style="color:red;">required</mark>       | The product identifier as listed in the **ID** column under [Products > Products](/back-office-guide/products/products.md).                         | `10`                 |
| Product currency <mark style="color:red;">required</mark> | The alphabetic currency code as per ISO 4217. This is the currency added to the product, which is also the one in which the account is denominated. | EUR                  |

Download the `template_import_accounts.csv` file that you can use to verify that your CSV file includes the correct headers and data formats. You can use a semicolon or tab as a delimiter instead of a comma in your file.

{% file src="/files/BLsyg7Sw6pBLkX4JTEFI" %}

During data import:

* If an email address exists in B2CORE, data about client accounts will be added to it.
* If an email address doesn’t exist in B2CORE, data about accounts won't be imported.

### The `import-ibs` option:

The IB-related data can be imported only from a CSV file.

To successfully import this type of data, a CSV file must include the IB Email, Client Email, and IB Type ID headers. If any of these required fields are missing, the import operation will fail.

| Header                                                | Description                                                                                                                                                                                                                                                                                                                                                                                                   | Example               |
| ----------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | --------------------- |
| IB Email <mark style="color:red;">required</mark>     | The email address of an existing client that will be added as an IB partner.                                                                                                                                                                                                                                                                                                                                  | <client1@example.com> |
| Client Email <mark style="color:red;">required</mark> | The email address of an existing client that will be added as a client referred by the partner.                                                                                                                                                                                                                                                                                                               | <client2@example.com> |
| IB Type ID <mark style="color:red;">required</mark>   | <p>The identifier of a Type. Types are listed in the <strong>Introducing brokers</strong> > <strong>Programs</strong> > <strong>Types</strong> menu.<br><br>To find Type identifiers, export data from the <strong>Types</strong> page by clicking <strong>Export</strong> in the upper-right corner of the page, and then locate the identifiers in the <strong>ID</strong> column of the exported file.</p> | `10`                  |

Download the `template_import_ibs.csv` file that you can use to verify that your CSV file includes the correct headers and data formats. You can use a semicolon or tab as a delimiter instead of a comma in your file.

{% file src="/files/DAxr6wuDAJYlLboxpzku" %}

During data import:

* If an email address specified as **IB Email** exists in B2CORE, this client will be added as an IB partner and the IB-related data will be imported for that client.
* If an email address specified as **IB Email** doesn’t exist in B2CORE, the IB-related data won't be imported.

After the import operation is finished, you can check its status and click the **Edit** button located in the import operation row to view the **Log messages** and **Error messages** fields listing the details about the records that were successfully imported as well as errors that occurred during import.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.b2core.b2broker.com/how-to-articles/manage-system-settings/how-to-import-client-related-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
